App Studio Local Make 4.4.77 Build Not Loading on IOS

222
4
10-13-2021 01:21 PM
MKa
by
Occasional Contributor III

I have a Mac build machine running Catalina that I use to build our application for iOS and Android.  The build is successful but I am unable to load the app on our devices.  I get the following error on the iphone.

"Needs to Be Updated. The developer of this app needs to update it to work"

I need to continue to build and develop the app using AppStudio 4.4.77 as we don't want to make a major upgrade yet to the latest app studio. My code which uses the survey123 template will not work on the new version of appstudio above 4.

What do I need to do for this build in order to get it to be able to load on a device.  Here are my build environment specs.

AppStudio 4.4.77

Xcode 11.7

QT 5.13.1

QTIFW-3.2.2

NDK 18

XCode Command Line tools for xcode 12 (latest that will load on Catalina)

QT 5.13.1

0 Kudos
4 Replies
ErwinSoekianto
Esri Regular Contributor

@MKa 

 

Did you use the Enterprise Certificate to sign the iOS app? If yes, this is related to this issue that has been fixed and patched today, https://community.esri.com/t5/arcgis-appstudio-questions/apps-not-working-on-ios-15/m-p/1102980#M408... 

 

You can try building the app again. Although you are using AppStudio 4.4 Desktop, but you are using AppStudio Cloud Make production which is in version 5.1 at the moment. 

 

Let me know if this is working for you. 

 

Thank you,

Erwin. 

0 Kudos
ErwinSoekianto
Esri Regular Contributor

@MKa 

 

If you are using Local Make, this issue with iOS 15 is because the build machine is running Catalina. You need to upgrade it to Big Sur and rebuild the IPA. The fix that we did in AppStudio 5.1 was tested using Qt 5.15 and XCode 12. 

 

Thank you,

Erwin

 

 

0 Kudos
MKa
by
Occasional Contributor III

This is what i feared.  The Mac i have can only be updated to Catalina as it is so old.  So I don't think I will be able to do any more builds until I get a new machine that I can put Big sur on?  We have to have App Studio 4.4.77 because that is where our code is at.  The build works on our Big Sur machine, but we need the 2 build machines.  This also explains why our old ipa file for AppStudioPlayer.ipa doesn't work anymore.  I would really like that, but it looks like the old versions of that file will not work any more.

0 Kudos
MKa
by
Occasional Contributor III

I was able to get this to work by resigning my .ipa file.  This was a bit of a workaround, but now I think this will allow me to do builds on my Catalina machine.  Could someone at ESRI try these steps on AppStudioPlayer_ESRI_4_4_14.ipa.  I don't have that cert so I cant resign it.  I really need that version of AppStudio Player too.  This will allow me to not have to make builds of my code designed in App Studio 4.4.77.  Your IPA file AppStudioPlayer_ESRI_4_4_14.ipa that you gave me can no longer be loaded on Iphones.  Here are the workaround steps i used on my catalina machine with xcode 11.7, but I think will work on any xcode.  I just needed xcode 11.7 to build my code.

  • Reason 
    • After the build on Catalina (old Mini Mac late 2012, the ipa file has to be resigned, this doesn’t have to happen on Big Sur Machine 
  • Steps 
    • Rename the .IPA file to .zip 
    • Double Click to Extract it (you should have a Payload Folder 
    • Right Click in folder and open terminal at this spot 
    • Run Command  
    codesign -s "YOUR CODE Signing Identity" -f --preserve-metadata --generate-entitlement-der ./Payload/AppStudioApp.app 
    • Then Run Command to zip back up 
    zip -ru Test.ipa Payload 
    • Sideload to test   

 

0 Kudos